Bullet Collision Detection & Physics Library: btIDebugDraw::DefaultColors Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btIDebugDraw::DefaultColors Struct Reference

`#include <btIDebugDraw.h>`

Collaboration diagram for btIDebugDraw::DefaultColors:
[legend]

## Public Member Functions
| DefaultColors ()

## Public Attributes
btVector3 | m_activeObject
btVector3 | m_deactivatedObject
btVector3 | m_wantsDeactivationObject
btVector3 | m_disabledDeactivationObject
btVector3 | m_disabledSimulationObject
btVector3 | m_aabb
btVector3 | m_contactPoint

## Detailed Description

Definition at line 29 of file btIDebugDraw.h.

## Constructor & Destructor Documentation

## ◆ DefaultColors()

btIDebugDraw::DefaultColors::DefaultColors | ( |  | ) |
| inline

Definition at line 40 of file btIDebugDraw.h.

## Member Data Documentation

## ◆ m_aabb

btVector3 btIDebugDraw::DefaultColors::m_aabb

Definition at line 37 of file btIDebugDraw.h.

## ◆ m_activeObject

btVector3 btIDebugDraw::DefaultColors::m_activeObject

Definition at line 32 of file btIDebugDraw.h.

## ◆ m_contactPoint

btVector3 btIDebugDraw::DefaultColors::m_contactPoint

Definition at line 38 of file btIDebugDraw.h.

## ◆ m_deactivatedObject

btVector3 btIDebugDraw::DefaultColors::m_deactivatedObject

Definition at line 33 of file btIDebugDraw.h.

## ◆ m_disabledDeactivationObject

btVector3 btIDebugDraw::DefaultColors::m_disabledDeactivationObject

Definition at line 35 of file btIDebugDraw.h.

## ◆ m_disabledSimulationObject

btVector3 btIDebugDraw::DefaultColors::m_disabledSimulationObject

Definition at line 36 of file btIDebugDraw.h.

## ◆ m_wantsDeactivationObject

btVector3 btIDebugDraw::DefaultColors::m_wantsDeactivationObject

Definition at line 34 of file btIDebugDraw.h.

The documentation for this struct was generated from the following file:

- btIDebugDraw.h